Package io.flutter.embedding.engine.systemchannels

## Class MouseCursorChannel

- java.lang.Object
- - io.flutter.embedding.engine.systemchannels.MouseCursorChannel

-     public class MouseCursorChannel
      extends Object

  System channel that receives requests for mouse cursor behavior, e.g., set as system cursors.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static interface` | `MouseCursorChannel.MouseCursorMethodHandler` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `MethodChannel` | `channel` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MouseCursorChannel​(DartExecutor dartExecutor)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `setMethodHandler​(MouseCursorChannel.MouseCursorMethodHandler mouseCursorMethodHandler)` | Sets the `MouseCursorChannel.MouseCursorMethodHandler` which receives all events and requests that are parsed from the underlying platform channel.
    `void` | `synthesizeMethodCall​(MethodCall call, MethodChannel.Result result)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### channel

          @NonNull
          public final MethodChannel channel

  - ### Constructor Detail

    - #### MouseCursorChannel

          public MouseCursorChannel​(@NonNull
                                    DartExecutor dartExecutor)

  - ### Method Detail

    - #### setMethodHandler

          public void setMethodHandler​(@Nullable
                                       MouseCursorChannel.MouseCursorMethodHandler mouseCursorMethodHandler)

      Sets the `MouseCursorChannel.MouseCursorMethodHandler` which receives all events and requests that are parsed from the underlying platform channel.

    - #### synthesizeMethodCall

          public void synthesizeMethodCall​(@NonNull
                                           MethodCall call,
                                           @NonNull
                                           MethodChannel.Result result)